--[[
Descripttion:兑换码
version:
Author: Neo,Huang
Date: 2023-11-19 22:55:19
LastEditors: Neo,Huang
LastEditTime: 2023-11-19 22:56:48
--]]
local proto_struct =
    [[
    # 兑换记录
    .DataExchangeRecord {
        playerInfo 0: DataUserBaseInfo      # 玩家信息
        items 1: *DataItem                  # 兑换奖励物品列表
    }
]]

local proto_c2s =
    [[
        # 模块信息
        exchange_get_info 2700 {
            request {
            }
            response {
                code 0: integer
                records 1: *DataExchangeRecord  # 兑换记录
            }
        }
        # 领取
        exchange_get_award 2701 {
            request {
                pCode 0: string                 # 兑换码
            }
            response {
                code 0: integer
                items 1: *DataItem              # 领取物品列表
            }
        }
]]

local proto_s2c = [[
]]

local proto = {
    c2s = proto_struct .. proto_c2s,
    s2c = proto_struct .. proto_s2c
}

return proto
