--[[
Descripttion:服务端热更新使用 - 协议最大ID 32766
version:
Author: Neo,Huang
Date: 2023-11-16 21:46:39
LastEditors: Neo,Huang
LastEditTime: 2023-11-19 23:05:11
--]]
package.loaded[PROTO_ROOT .. "proto-lib.proto_socket"] = nil
package.loaded[PROTO_ROOT .. "proto-lib.proto_user"] = nil -- 2000
package.loaded[PROTO_ROOT .. "proto-lib.proto_bag"] = nil -- 2100
package.loaded[PROTO_ROOT .. "proto-lib.proto_test"] = nil -- 2200
package.loaded[PROTO_ROOT .. "proto-lib.proto_shop"] = nil -- 2300
package.loaded[PROTO_ROOT .. "proto-lib.proto_mail"] = nil -- 2400
package.loaded[PROTO_ROOT .. "proto-lib.proto_box"] = nil -- 2500
package.loaded[PROTO_ROOT .. "proto-lib.proto_room"] = nil -- 2600
package.loaded[PROTO_ROOT .. "proto-lib.proto_exchange"] = nil -- 2700
package.loaded[PROTO_ROOT .. "proto-lib.proto_roll"] = nil -- 2800

-- 其他协议
-- proto-lib.proto_http -- 31000~31999
-- proto-lib.proto_log -- 32000~32766

local proto_socket = require(PROTO_ROOT .. "proto-lib.proto_socket")
local proto_user = require(PROTO_ROOT .. "proto-lib.proto_user")
local proto_bag = require(PROTO_ROOT .. "proto-lib.proto_bag")
local proto_test = require(PROTO_ROOT .. "proto-lib.proto_test")
local proto_shop = require(PROTO_ROOT .. "proto-lib.proto_shop")
local proto_mail = require(PROTO_ROOT .. "proto-lib.proto_mail")
local proto_box = require(PROTO_ROOT .. "proto-lib.proto_box")
local proto_room = require(PROTO_ROOT .. "proto-lib.proto_room")
local proto_exchange = require(PROTO_ROOT .. "proto-lib.proto_exchange")
local proto_roll = require(PROTO_ROOT .. "proto-lib.proto_roll")

local c2s = proto_socket.c2s
c2s = c2s .. proto_user.c2s
c2s = c2s .. proto_bag.c2s
c2s = c2s .. proto_test.c2s
c2s = c2s .. proto_shop.c2s
c2s = c2s .. proto_mail.c2s
c2s = c2s .. proto_box.c2s
c2s = c2s .. proto_room.c2s
c2s = c2s .. proto_exchange.c2s
c2s = c2s .. proto_roll.c2s

local s2c = proto_socket.s2c
s2c = s2c .. proto_user.s2c
s2c = s2c .. proto_bag.s2c
s2c = s2c .. proto_test.s2c
s2c = s2c .. proto_shop.s2c
s2c = s2c .. proto_mail.s2c
s2c = s2c .. proto_box.s2c
s2c = s2c .. proto_room.s2c
s2c = s2c .. proto_exchange.s2c
s2c = s2c .. proto_roll.s2c

local proto = {
    c2s = c2s,
    s2c = s2c
}

return proto
