-- socket相关协议  1000~1999
local proto_struct = [[
]]

local proto_c2s =
    [[
    .package {
        type 0 : integer
        session 1 : integer
    }

    # 连接游戏服务器，验证token是否有效
    usr_auth_token 1000 {
        request {
            uid 0: integer
            token 1: string
        }
        response {
            code 0: integer
        }
    }

]]

local proto_s2c = [[
    .package {
        type 0 : integer
        session 1 : integer
    }
]]

local proto = {
    c2s = proto_struct .. proto_c2s,
    s2c = proto_struct .. proto_s2c
}

return proto
