PROTO_ROOT = ""

local sprotoparser = require(PROTO_ROOT .. "sprotoparser")

local proto = {}

-- socket
package.loaded[PROTO_ROOT .. "struct_server"] = nil
package.loaded[PROTO_ROOT .. "socket_server"] = nil
local struct_server = require(PROTO_ROOT .. "struct_server")
local socket_server = require(PROTO_ROOT .. "socket_server")
proto.socket = {
    c2s = struct_server .. socket_server.c2s,
    s2c = struct_server .. socket_server.s2c
}
proto.c2s = sprotoparser.parse(proto.socket.c2s)
proto.s2c = sprotoparser.parse(proto.socket.s2c)
proto.isParse = true

-- http 目前 http 没有使用 struct
package.loaded[PROTO_ROOT .. "http_server"] = nil
local http_server = require(PROTO_ROOT .. "http_server")
proto.http = {
    c2s = http_server.c2s,
    s2c = http_server.s2c
}
proto.http_c2s = sprotoparser.parse(proto.http.c2s)
proto.http_s2c = sprotoparser.parse(proto.http.s2c)

return proto
